# Interface Listener

interface Listener {
foreignListener?: ProxyConstructor;
id: number;
listenerFn: ListenerFunction;
originalTarget: any;
property: string[];
scopeId: number;
watchFn: CompiledExpression;
watchProp?: string;
}

- Defined in src/core/scope/scope.js:118

##### Index

### Properties

foreignListener?
id
listenerFn
originalTarget
property
scopeId
watchFn
watchProp?

## Properties

### `Optional` foreignListener

foreignListener?: ProxyConstructor

- Defined in src/core/scope/scope.js:126

### id

id: number

Deregistration id

- Defined in src/core/scope/scope.js:122

### listenerFn

listenerFn: ListenerFunction

The function invoked when changes are detected.

- Defined in src/core/scope/scope.js:120

### originalTarget

originalTarget: any

The original target object.

- Defined in src/core/scope/scope.js:119

### property

property: string[]

- Defined in src/core/scope/scope.js:124

### scopeId

scopeId: number

The scope that created the Listener

- Defined in src/core/scope/scope.js:123

### watchFn

watchFn: CompiledExpression

- Defined in src/core/scope/scope.js:121

### `Optional` watchProp

watchProp?: string

The original property to watch if different from observed key

- Defined in src/core/scope/scope.js:125